## 1.4 Fantoir

![](/images/Modeles_de_donnees/02.vMap/04.Fantoir.png)

*Modèle de données des fichiers Fantoirs*

### 1.4.1 fantoir_commune

Article des communes

<table class="docutils" border="1" >
<thead><tr class="tableizer-firstrow"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-odd"><td>id_com</td><td>ccodep + ccocom</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>année</td><td>Année</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>ccodep</td><td>Code département au sens INSEE.</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>ccodir</td><td>Code direction DGI.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>ccocom</td><td>Code commune définie par MAJIC2.</td><td>A blanc si article direction.</td></tr>
 <tr class="row-even"><td>clerivoli</td><td>Zone alphabétique fournie par MAJIC2.</td><td>Contrôle la validité de DEP DIR COM VOI.</td></tr>
 <tr class="row-odd"><td>libcom</td><td> Désignation de la commune sur 30 caractères pour les communes</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>typcom</td><td>Permet de distinguer les communes recensées des communes rurales</td><td>N = commune rurale.R = commune recensée.A blanc si article direction.</td></tr>
 <tr class="row-odd"><td>rur</td><td>Indique si la commune est pseudo-recensée ou non.</td><td>3 = commune pseudo-recensée blanc = rien</td></tr>
 <tr class="row-even"><td>carpop</td><td>Précise la dernière situation connue de la commune au regard de la limite de 3000 habitants (= blanc si < 3000 h sinon = \*).</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>annulation</td><td>Cet article indique que plus aucune entité topo n&rsquo;est représentée par ce code.</td><td>O = voie annulée sans transfert. Q = voie annulée avec transfert. Q = commune annulée avec transfert.</td></tr>
 <tr class="row-even"><td>dateannul</td><td>Date d&rsquo;annulation.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>datecrea</td><td>Date à laquelle l&rsquo;article a été créé par création MAJIC2.</td><td></td></tr>
</tbody></table>

### 1.4.2 fantoir_voie

Article des voies

<table class="docutils" border="1" >
<thead><tr class="tableizer-firstrow"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-even"><td>id_voie</td><td>ccodep + ccodir + ccocom + ccoriv</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>id_com</td><td>ccodep + ccocom</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>ccodep</td><td>Code département au sens INSEE.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>ccodir</td><td>Code direction DGI.</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>ccocom</td><td>Code commune défini par MAJIC2.</td><td>A blanc si article direction.</td></tr>
 <tr class="row-odd"><td>rivoli</td><td>Identifiant de voie dans la commune.</td><td>A blanc si article direction ou commune.</td></tr>
 <tr class="row-even"><td>clerivoli</td><td>Zone alphabétique fournie par MAJIC2.</td><td>Contrôle la validité de DEP DIR COM VOI.</td></tr>
 <tr class="row-odd"><td>codevoie</td><td>Code nature de voie sur 4 caractères</td><td><a href="../../../Tables de correspondance/04.Fantoir.html#a-codevoie-nature-de-la-voie">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>libvoie</td><td>libellé de voie sur 26 caract. pour les voies.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>typcom</td><td>Permet de distinguer les communes recensées des communes rurales</td><td>N = commune rurale.R = commune recensée.A blanc si article direction.</td></tr>
 <tr class="row-even"><td>rur</td><td>Indique si la commune est pseudo-recensée ou non.</td><td>3 = commune pseudo-recenséeblanc = rien</td></tr>
 <tr class="row-odd"><td>carvoie</td><td>Zone indiquant si la voie est privée (1) ou publique (0)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>annulation</td><td>Cet article indique que plus aucune entité topo n&rsquo;est représentée par ce code.</td><td>O = voie annulée sans transfert.<br>Q = voie annulée avec transfert.<br>Q = commune annulée avec transfert.</td></tr>
 <tr class="row-odd"><td>dateannul</td><td>Date annulation</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>datecrea</td><td>Date à laquelle l&rsquo;article a été créé par création MAJIC2.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>majic2</td><td>Code identifiant la voie dans MAJIC2.</td><td>Permet de faire le lien entre le code voie RIVOLI et le code voie MAJIC2.</td></tr>
 <tr class="row-even"><td>typevoie</td><td>Indicateur de la classe de la voie.1 = voie.2 = ensemble immobilier.3 = lieu-dit.4 = pseudo-voie.5 = voie provisoire.</td><td>Permet de distinguer les différents types de voie.</td></tr>
 <tr class="row-odd"><td>indic</td><td>Zone servie uniquement pour les lieux-dits. Permet d&rsquo;indiquer si le lieu-dit comporte ou non un bâtiment dans MAJIC.</td><td>= 1 pour lieu-dit non bâti,= 0 sinon.</td></tr>
 <tr class="row-even"><td>motclass</td><td>Dernier mot entièrement alphabétique du libellé de voie.</td><td>Permet de restituer l&rsquo;ordre alphabétique.</td></tr>
</tbody></table>

### 1.4.3 fantoir_direction

Article des Direction

<table class="docutils" border="1" >
<thead><tr class="tableizer-firstrow"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-odd"><td>ccodep</td><td>Code département au sens INSEE.</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>ccodir</td><td>Code direction DGI.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>clerivoli</td><td>Zone alphabétique fournie par MAJIC2.</td><td>Contrôle la validité de DEP DIR COM VOI.</td></tr>
 <tr class="row-even"><td>libdep</td><td>Libellé département</td><td></td></tr>
</tbody></table>
